=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20251202.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:21:47 +0000

kpublicalerts (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 21:30:32 +1000
