## kpublicalerts 0.0.0+p24.04+vunstable+git20260124.0053

=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20260124.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 00:53:11 +0000
