## kpublicalerts 0.0.0+p24.04+vunstable+git20260130.1432

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(CMAKE_CXX_STANDARD 20)
 set(QT_MIN_VERSION 6.5)
-set(KF_MIN_VERSION 6.18)
+set(KF_MIN_VERSION 6.19)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
