=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_test(NAME publicalerts-self-test COMMAND publicalerts --self-test)
