=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(app)
