=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,6 @@
     KUnifiedPush
     KF6::CoreAddons
     KF6::Notifications
-    KF6::GuiAddons
     KF6::I18n
     KF6::I18nQml
     Qt::Quick
