=== debian/changelog ===
kpublicalerts (0.0.0+p24.04+vunstable+git20260130.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:32:42 +0000
