=== debian/control ===
Source: kpublicalerts
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kunifiedpush-dev,
               libkweathercore-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-positioning-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kpublicalerts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kpublicalerts
Maintainer: Neon CI <neon@kde.org>

Package: kpublicalerts
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: retrieval of weather information including forecasts and alerts
 Library to facilitate retrieval of weather information including
 forecasts and alerts.
